biterp

Listar produtos

GET
/products
AuthorizationBearer <token>

In: header

Query Parameters

cursor?string

Opaque cursor from CursorPaginationDto.cursor. Use next_cursor or previous_cursor from the previous response.

limit?integer

Page size from CursorPaginationDto.limit.

Default20
Range1 <= value <= 100
search?string

Full-text search term from CursorPaginationDto.search.

with_deleted?boolean

Include soft-deleted records from CursorPaginationDto.with_deleted.

Defaultfalse
include_payload_search?boolean

Include payload JSON search from CursorPaginationDto.include_payload_search when supported by the endpoint.

Defaultfalse
sort?string

Sort expression from CursorPaginationDto.sort in the format field:order (for example created_at:desc).

name?string

Exact match for "name" (string)

name[neq]?string

Not equal filter for "name" (string)

name[contains]?string

Contains filter for "name"

name[not_contains]?string

Does not contain filter for "name"

reference_code?string

Exact match for "reference_code" (string)

reference_code[neq]?string

Not equal filter for "reference_code" (string)

reference_code[contains]?string

Contains filter for "reference_code"

reference_code[not_contains]?string

Does not contain filter for "reference_code"

is_blocked?boolean

Exact match for "is_blocked" (boolean)

is_blocked[neq]?boolean

Not equal filter for "is_blocked" (boolean)

type?string

Exact match for "type" (string)

type[neq]?string

Not equal filter for "type" (string)

type[contains]?string

Contains filter for "type"

type[not_contains]?string

Does not contain filter for "type"

created_at?string

Exact match for "created_at" (ISO 8601 date (YYYY-MM-DD))

created_at[neq]?string

Not equal filter for "created_at" (ISO 8601 date (YYYY-MM-DD))

created_at[gt]?string

Greater than filter for "created_at" (ISO 8601 date (YYYY-MM-DD))

created_at[gte]?string

Greater than or equal filter for "created_at" (ISO 8601 date (YYYY-MM-DD))

created_at[lt]?string

Less than filter for "created_at" (ISO 8601 date (YYYY-MM-DD))

created_at[lte]?string

Less than or equal filter for "created_at" (ISO 8601 date (YYYY-MM-DD))

updated_at?string

Exact match for "updated_at" (ISO 8601 date (YYYY-MM-DD))

updated_at[neq]?string

Not equal filter for "updated_at" (ISO 8601 date (YYYY-MM-DD))

updated_at[gt]?string

Greater than filter for "updated_at" (ISO 8601 date (YYYY-MM-DD))

updated_at[gte]?string

Greater than or equal filter for "updated_at" (ISO 8601 date (YYYY-MM-DD))

updated_at[lt]?string

Less than filter for "updated_at" (ISO 8601 date (YYYY-MM-DD))

updated_at[lte]?string

Less than or equal filter for "updated_at" (ISO 8601 date (YYYY-MM-DD))

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/products"
{
  "data": [
    {
      "id": "string",
      "reference_code": "string",
      "name": "string",
      "description": "string",
      "tags": [
        "string"
      ],
      "type": "goods",
      "sale_price": "99.900000",
      "image_url": "string",
      "is_blocked": true,
      "metadata": {},
      "unit_of_measurement": {
        "id": "string",
        "code": "string",
        "symbol": "string"
      },
      "br_data": {
        "ncm_code": "string",
        "cest_code": "string",
        "origin": "string",
        "extipi": "string",
        "ibs_cbs_cst": "string",
        "ibs_cbs_classification": "string",
        "ibs_cbs_operation_indicator_code": "string",
        "ibs_cbs_is_personal_use": true
      },
      "us_data": {
        "hts_code": "string",
        "schedule_b_code": "string",
        "eccn_code": "string",
        "tax_code": "string",
        "sales_tax_category": "string",
        "country_of_origin": "string",
        "upc_code": "string"
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "limit": 0,
    "has_next_page": true,
    "has_previous_page": true,
    "current_query_cursor": "string",
    "current_page_cursor": "string",
    "next_cursor": "string",
    "previous_cursor": "string"
  },
  "meta": {
    "filters": {},
    "search": "string",
    "sort": {
      "field": "string",
      "order": "asc"
    }
  }
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}